<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/
class Core_Model_DbTable_Languages extends Engine_Db_Table
{ 
  public function isLanguageExist($language) {
    return $this->select()
              ->from($this->info('name'), 'language_id')
              ->where('code =?', $language)
              ->query()
              ->fetchColumn();
  }
  
  public function isEnabled($language) {
    return $this->select()
              ->from($this->info('name'), 'enabled')
              ->where('code =?', $language)
              ->query()
              ->fetchColumn();
  }
}
